Subject: Bug#614: [X2Go-Dev] Bug#614: x2goserver fedora 20 x86_64 install broken but Ok if using F18 repo

From: Diego COSTE <[email-masked]>
Date: Mon, 22 Sep 2014 10:53:31 +0200

Hi All,

sorry, I was moving from Fedora 17 to 20, and as part of this move I
tried to replicate the repos I had installed earlier, and x2go was one
of those.
I think at that time already I had to use the Fedora 18 repo.

I have now purged all installs of x2go with the proper *yum history
undo* and x2go works out of the F20 box.

Sorry for the trouble.
Diego Coste

PS: FYI using just
   yum erase x2goserver
   rm /etc/yum.repos.d/x2go.repo
   yum clean all
   yum install x2goserver
did not work.
It seems that the dependencies (NX, perl libs, ...) installed for the
opensuse repo version of x2goserver do satisfy the install of x2goserver
through the Fedora 20 repo (the install proceeds normally), but I could
not connect to the server.
I had to de-install the dependencies with the yum history undo command
to get a fresh consistent install based solely on the F20 repo, and this
time it worked !

On 21/09/14 05:45, Orion Poplawski wrote:
> On 09/18/2014 08:46 AM, Diego COSTE wrote:
>> Package: x2goserver
>> Version: 4.0.1.15-2.el7.x86_64
>> OS: Fedora core 20 KDE x86_64 yum-updated on Sept 17th 2014
>> Summary: trying to install with the 'legitimate' fedora 20 repos fails
>> while it is Ok with the Fedora 18 repo
>>
>> First tried with the repo in
>> http://download.opensuse.org/repositories/X11:/RemoteDesktop:/x2go/fedora_20/X11:RemoteDesktop:x2go.repo
>> => Failure
>>
>> Then with Fedora EPEL
>> http://www.mirrorservice.org/sites/dl.fedoraproject.org/pub/epel/7/x86_64/e/epel-release-7-1.noarch.rpm
>> => Failure log
> Why don't you just install from the default Fedora 20 repos?  Why on 
> earth are you trying to install from the Fedora EPEL EL7 repo?
>
> - Orion
>